FreeBSD : rssh & scponly -- arbitrary command execution (f11b219a-44b6-11d9-ae2f-021106004fd6)

High Nessus Plugin ID 19165


The remote FreeBSD host is missing one or more security-related updates.


Jason Wies identified both rssh & scponly have a vulnerability that allows arbitrary command execution. He reports :

The problem is compounded when you recognize that the main use of rssh and scponly is to allow file transfers, which in turn allows a malicious user to transfer and execute entire custom scripts on the remote machine.


Update the affected packages.

See Also

Plugin Details

Severity: High

ID: 19165

File Name: freebsd_pkg_f11b219a44b611d9ae2f021106004fd6.nasl

Version: $Revision: 1.22 $

Type: local

Published: 2005/07/13

Modified: 2014/09/18

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.5

Temporal Score: 6.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:H/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:rssh, p-cpe:/a:freebsd:freebsd:scponly, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Exploit Available: true

Exploit Ease: No exploit is required

Patch Publication Date: 2004/12/02

Vulnerability Publication Date: 2004/11/28

Reference Information

CVE: CVE-2004-1161, CVE-2004-1162

BID: 11791, 11792